Package org.italiangrid.voms.request

# Interface VOMSACService

All Known Implementing Classes:
  `DefaultVOMSACService`, `FakeVOMSACService`

public interface VOMSACService
The `VOMSACService` interface.

Author:
  Andrea Ceccanti

## Method Summary

Modifier and Type
Method
Description
`org.bouncycastle.asn1.x509.AttributeCertificate`
`getVOMSAttributeCertificate(eu.emi.security.authn.x509.X509Credential credential, VOMSACRequest request)`
Returns an `AttributeCertificate` given a `VOMSACRequest` for VOMS attributes.

## Method Details

### getVOMSAttributeCertificate

org.bouncycastle.asn1.x509.AttributeCertificate getVOMSAttributeCertificate(eu.emi.security.authn.x509.X509Credential credential, VOMSACRequest request)
Returns an `AttributeCertificate` given a `VOMSACRequest` for VOMS attributes.

Parameters:
  `credential` - the credential to be used when contacting the service
  `request` - the request for VOMS attributes
Returns:
  a possibly null `AttributeCertificate` containing (a subset of) the requested attributes.